angular.module("noteWrangler")
  .provider('Gravatar', function GravatarProvider() {
    var avatarSize = 80; // px.
    const avatarUrlBase = "http://gravatar.com/avatar/";
    this.$get = function () {
      return function (email) {
        const hash = CryptoJS.MD5(email);
        const avatarUrl = avatarUrlBase + hash + "?size=" + avatarSize.toString();
        return avatarUrl;
      }
    };

    this.setSize = function (size) {
      avatarSize = size;
    };
  });
